package tools.descartes.dql.connector.kieker.structures.resources;

import tools.descartes.dql.connector.kieker.structures.AbstractValue;

public class ResourceMapValue extends AbstractValue<Double>{
	
	public ResourceMapValue(long timestamp, double utilization){
		super.put(timestamp, utilization);
	}

	/**
	 * This method enhances information that shares the same ResourceMapKey.
	 * Thus it should only be invoked to do so.
	 * 
	 * @param utilization describes the term from start to termination of the Resource
	 * @return ResourceMapValue which contains the new updated information
	 */
	public synchronized ResourceMapValue enhance(long timestamp, double utilization){
		super.put(timestamp, utilization);
		return this;
	}

	@Override
	public String toString(){
		return String.format(" \n %s \n ", super.getArrayList().toString());
	}


}
